For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign in
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
    • Overview
    • Authentication
  • REST
      • POSTCreate Site
      • GETList Sites
      • GETGet Site
      • PATCHUpdate Site
      • DELDelete Site
      • POSTDuplicate Site
Sign in
LogoLogo
RESTSites

List Sites

GET
https://api.makeswift.com/v2/sites
GET
/v2/sites
$curl -G https://api.makeswift.com/v2/sites \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d workspaceId=workspaceId
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "site",
6 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
7 "name": "Hearth Furniture Company",
8 "hostOrigin": "https://hearthfurniture.com",
9 "publicApiKey": "550e8400-e29b-41d4-a716-446655440000",
10 "defaultLocale": "en-US",
11 "localeManagementMode": "internal",
12 "defaultLocalePathPrefix": "/en"
13 }
14 ],
15 "hasMore": true
16}
Returns a list of sites in a workspace.
Was this page helpful?
Previous

Create Site

Next

Get Site

Built with

Authentication

x-api-keystring

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Query parameters

workspaceIdstringRequiredformat: "uuid"
The workspace ID to list sites from.
limitdoubleOptional1-100Defaults to 20
The maximum number of sites to return.
startingAfterstringOptionalformat: "uuid"
The pagination cursor. This is used to indicate what ID to list from.

Response

objectenum
Allowed values:
datalist of objects
hasMoreboolean
The flag that indicates whether there are more sites available.

Errors

403
Forbidden Error